Std ViewTrimetric/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Emphasis|Смотри так же:}} Основы скриптов в FreeCAD.")
No edit summary
 
(10 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
{{Docnav/ru
|[[Std_ViewDimetric|Std ViewDimetric]]
|[[Std_ViewDimetric/ru|Команда "Диметрическая"]]
|[[Std_ViewHome/ru|Команда "Домой"]]
|[[Std_ViewFront|Std ViewFront]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu/ru|Меню "Вид"]]
|IconL=
|IconL=Std_ViewDimetric.svg
|IconR=Std_ViewFront.svg
|IconR=Std_ViewHome.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}


<!--Empty=1 to suppress icon-->
{{GuiCommand/ru
{{GuiCommand/ru
|Name/ru=Триметрическая
|Name=Std ViewTrimetric
|Name/ru=Std ViewTrimetric
|Name=Std_ViewTrimetric
|MenuLocation=Вид → Стандартные виды‏‎ → Axonometric → Триметрическая
|Empty=1
|Workbenches=Все
|MenuLocation=Вид → Стандартные виды → Axonometric → Триметрия
|SeeAlso=[[Std_ViewIsometric/ru|Изометрическая]], [[Std_ViewDimetric/ru|Диметрическая]]
|Workbenches=All
|SeeAlso=[[Std_ViewIsometric/ru|Std ViewIsometric]], [[Std_ViewDimetric/ru|Std ViewDimetric]]
}}
}}


Line 27: Line 25:
{{Caption|The [[Std_AxisCross|axis cross]] and a cube in trimetric view}}
{{Caption|The [[Std_AxisCross|axis cross]] and a cube in trimetric view}}


==Применение==
==Использование==


# Select the {{MenuCommand|View → Standard views → Axonometric → Trimetric}} option from the menu.
# Select the {{MenuCommand|View → Standard views → Axonometric → [[Image:Std_ViewTrimetric.svg|16px]] Trimetric}} option from the menu.


==Программирование==
==Scripting==


{{Emphasis|Смотри так же:}} [[FreeCAD_Scripting_Basics/ru|Основы скриптов в FreeCAD]].
{{Emphasis|Смотрите так же:}} [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].


To change to trimetric view use the {{incode|viewTrimetric}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
To change to trimetric view use the {{incode|viewTrimetric}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
Line 43: Line 41:
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()
}}
}}



{{Docnav/ru
{{Docnav/ru
|[[Std_ViewDimetric/ru|Команда "Диметрическая"]]
|[[Std_ViewCreate/ru|Std ViewCreate]]
|[[Std_ViewHome/ru|Команда "Домой"]]
|[[Std_PerspectiveCamera/ru|Std PerspectiveCamera]]
|[[Std_View_Menu/ru|Std View Menu]]
|[[Std_View_Menu/ru|Меню "Вид"]]
|IconL=Std_ViewCreate.svg
|IconL=Std_ViewDimetric.svg
|IconR=Std_PerspectiveCamera.svg
|IconR=Std_ViewHome.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}

Latest revision as of 19:39, 10 September 2021

Other languages:

Триметрическая

Системное название
Std_ViewTrimetric
Расположение в меню
Вид → Стандартные виды‏‎ → Axonometric → Триметрическая
Верстаки
Все
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Изометрическая, Диметрическая

Описание

The Std ViewTrimetric command realigns the camera in the active 3D view to obtain a trimetric view. For a truly trimetric view the 3D view must be in orthographic mode, but the command also works if the view is in perspective mode.

The axis cross and a cube in trimetric view

Применение

  1. Select the View → Standard views → Axonometric → Trimetric option from the menu.

Программирование

Смотрите так же: Основы составления скриптов в FreeCAD.

To change to trimetric view use the viewTrimetric method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewTrimetric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()